# pandas.Index.to_native_types

Index.to_native_types(slicer=None, **kwargs)

  Format specified values of self and return them.

  Deprecated since version 1.2.0.

  Parameters
    slicer int, array-like

      An indexer into self that specifies which values are used in the formatting process.

    kwargs dict

      Options for specifying how the values should be formatted. These options include the following:

      1. na_repstr

           The value that serves as a placeholder for NULL values

      2. quotingbool or None

           Whether or not there are quoted values in self

      3. date_formatstr

           The format used to represent date-like values.

  Returns
    numpy.ndarray

      Formatted values.